Loading...
Searching...
No Matches
CInteractiveObject Class Referenceabstract

Interface for interactive objects (objects able to process events from event loop). More...

`#include <src/object/interface/interactive_object.h>`

Inheritance diagram for CInteractiveObject:
[legend]

## Public Member Functions

| CInteractiveObject (ObjectInterfaceTypes &types)
virtual bool | EventProcess (const Event &event)=0

## Detailed Description

Interface for interactive objects (objects able to process events from event loop).

The documentation for this class was generated from the following file:

- src/object/interface/interactive_object.h